Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: cmake 2.8.12 needed to build  (Read 780 times)

0 Members and 1 Guest are viewing this topic.

Offline speedy

  • Hero Member
  • *****
  • Posts: 1160
    • View Profile
  • BTS: speedy
cmake 2.8.12 needed to build
« on: February 14, 2014, 12:00:24 AM »

Dan just bumped the cmake version requirement to 2.8.12, which introduced the target_compile_options() command (used by BTS makefile). The latest Ubuntu only has 2.8.11 in the repo, so I guess Ill have to roll back to and old version for the time being. Why so bleeding edge?

Offline speedy

  • Hero Member
  • *****
  • Posts: 1160
    • View Profile
  • BTS: speedy
Re: cmake 2.8.12 needed to build
« Reply #1 on: February 14, 2014, 12:28:18 AM »
Ok if anyone else has this problem, just put the options into

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} options...")

in the global CMakeLists.txt

Offline bytemaster

Re: cmake 2.8.12 needed to build
« Reply #2 on: February 14, 2014, 01:20:41 AM »
Dan just bumped the cmake version requirement to 2.8.12, which introduced the target_compile_options() command (used by BTS makefile). The latest Ubuntu only has 2.8.11 in the repo, so I guess Ill have to roll back to and old version for the time being. Why so bleeding edge?

I was a tad annoyed by this change as well.... when you refer to Dan please specify N or or L.   

I would like to remove this dependency if possible and back it up to a more widely available option.
For the latest updates checkout my blog: http://bytemaster.bitshares.org
Anything said on these forums does not constitute an intent to create a legal obligation or contract between myself and anyone else.   These are merely my opinions and I reserve the right to change them at any time.

Offline HardFork

  • Jr. Member
  • **
  • Posts: 26
    • View Profile
Re: cmake 2.8.12 needed to build
« Reply #3 on: February 14, 2014, 01:34:38 AM »
I ended up building cmake from source today to get around that.

Offline bytemaster

Re: cmake 2.8.12 needed to build
« Reply #4 on: February 14, 2014, 01:46:47 AM »
I ended up building cmake from source today to get around that.

Same :)
For the latest updates checkout my blog: http://bytemaster.bitshares.org
Anything said on these forums does not constitute an intent to create a legal obligation or contract between myself and anyone else.   These are merely my opinions and I reserve the right to change them at any time.

 

Google+